.button{
  border:1px solid #e0e0e0;
  background-color:#f3f3f3;
  border-radius:8px;
  padding:10px;
  font-weight:bold;
  color: #575757;
  margin-right:15px;
  i{
    margin-right:10px;
  }
  &:focus,&:active{
  outline:none;
}
  &.color-1{
    color:white;
    background-image: radial-gradient( circle farthest-corner at 20% 20%,  rgba(205,33,42,1) 0%, rgba(236,95,5,1) 90% );
    border-color:transparent;
  }
  &.color-2{
    color: #f5f5f5;
    background-image: linear-gradient( 80deg, rgba(20,100,196,1) 0.4%, rgba(33,152,214,1) 100.2% );
    border:none;
  }
  &.color-3{
    color:white!important;
    background-image: linear-gradient(89.9deg, #ffbe20 0.6%, #fb7047 124.3%);
    border:none;
  }
  &.block{
    display:block;
    width:100%;
  }
  &.button-link{
    background-color:transparent!important;
    text-decoration: underline;
    border:none;
    &:hover{
      color: #516270!important;
    }
  }
}

#app{
  &.darkMode{
    .button{
      background-color:#293039;
      border-color:#25282E;
      color:#a7b7c9;
    }
  }
}
